package cn.lihongjie.coal.coalInfo.controller;

import cn.lihongjie.coal.annotation.OrgScope;
import cn.lihongjie.coal.annotation.SysLog;
import cn.lihongjie.coal.base.dto.CommonQuery;
import cn.lihongjie.coal.base.dto.IdRequest;
import cn.lihongjie.coal.coalInfo.dto.CoalInfoDto;
import cn.lihongjie.coal.coalInfo.dto.CreateCoalInfoDto;
import cn.lihongjie.coal.coalInfo.dto.UpdateCoalInfoDto;
import cn.lihongjie.coal.coalInfo.service.CoalInfoService;

import lombok.extern.slf4j.Slf4j;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/coalInfo")
@SysLog(module = "煤源信息")
@Slf4j
@OrgScope
public class CoalInfoController {
    @Autowired private CoalInfoService service;

    @PostMapping("/create")
    public CoalInfoDto create(@RequestBody CreateCoalInfoDto request) {
        return this.service.create(request);
    }

    @PostMapping("/update")
    public CoalInfoDto update(@RequestBody UpdateCoalInfoDto request) {
        return this.service.update(request);
    }

    @PostMapping("/delete")
    public Object delete(@RequestBody IdRequest request) {
        this.service.delete(request);
        return true;
    }

    @PostMapping("/getById")
    public CoalInfoDto getById(@RequestBody IdRequest request) {
        return this.service.getById(request.getId());
    }

    @PostMapping("/list")
    public Page<CoalInfoDto> list(@RequestBody CommonQuery request) {
        return this.service.list(request);
    }
}
